### Method

# Gtk.Snapshot.push_repeat

#### Declaration [src]

    void
    gtk_snapshot_push_repeat (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_rect_t* child_bounds
    )

#### Description [src]

Creates a node that repeats the child node.

The child is recorded until the next call to `gtk_snapshot_pop()`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the bounds within which to repeat
| Ownership is not transferred to the callee
`child_bounds` | `const graphene_rect_t*`
| the bounds of the child or `NULL` to use the full size of the collected child node
| Can be `NULL`
| Ownership is not transferred to the callee